package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Logs struct {
	Id       primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Path     string             `bson:"path,omitempty" json:"path"`
	UserId   string             `bson:"userId,omitempty" json:"userId"`
	TargetId string             `bson:"targetId,omitempty" json:"targetId"`
	// 哪个数据表
	Collection string      `bson:"collection,omitempty" json:"collection"`
	Diff       string      `bson:"diff,omitempty" json:"diff"`
	Changes    []string    `bson:"changes,omitempty" json:"changes"`
	UserInfo   *UserSmaple `bson:"userInfo,omitempty" json:"userInfo"`
	CreateTime time.Time   `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time   `bson:"updateTime,omitempty" json:"updateTime"`
}
